org.apache.lucene.analysis

## Class MockCharFilter

- java.lang.Object
- - java.io.Reader
  - - org.apache.lucene.analysis.CharFilter
    - - org.apache.lucene.analysis.MockCharFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable, Readable

      public class MockCharFilter
      extends CharFilter

  the purpose of this charfilter is to send offsets out of bounds if the analyzer doesn't use correctOffset or does incorrect offset math.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.CharFilter

      `input`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockCharFilter(Reader in)`
    `MockCharFilter(Reader in, int remainder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addOffCorrectMap(int off, int cumulativeDiff)`
    `int` | `correct(int currentOff)`
    `int` | `read()`
    `int` | `read(char[] cbuf, int off, int len)`

    - ### Methods inherited from class org.apache.lucene.analysis.CharFilter

      `close, correctOffset`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockCharFilter

          public MockCharFilter(Reader in,
                                int remainder)

    - #### MockCharFilter

          public MockCharFilter(Reader in)

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `Reader`
      Throws:
        `IOException`

    - #### read

          public int read(char[] cbuf,
                          int off,
                          int len)
                   throws IOException

      Specified by:
        `read` in class `Reader`
      Throws:
        `IOException`

    - #### correct

          public int correct(int currentOff)

      Specified by:
        `correct` in class `CharFilter`

    - #### addOffCorrectMap

          protected void addOffCorrectMap(int off,
                                          int cumulativeDiff)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.